Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet.h
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet.h	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet.h	(revision 321)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
@@ -64,67 +49,63 @@
 
 #ifndef TOPPERS_T_STDDEF_H
-typedef char			bool_t;		/* çå½å¤ */
-
-typedef signed int		int_t;		/* èªç¶ãªãµã¤ãºã®ç¬¦å·ä»ãæ´æ° */
-typedef unsigned int	uint_t;		/* èªç¶ãªãµã¤ãºã®ç¬¦å·ç¡ãæ´æ° */
-
-typedef int_t			ER;			/* ã¨ã©ã¼ã³ã¼ã */
-typedef int_t			ID;			/* ãªãã¸ã§ã¯ãã®IDçªå· */
-typedef uint_t			ATR;		/* ãªãã¸ã§ã¯ãã®å±æ§ */
-typedef int_t			TMO;		/* ã¿ã¤ã ã¢ã¦ãæå® */
+typedef char			bool_t;		/* 真偽値 */
+
+typedef signed int		int_t;		/* 自然なサイズの符号付き整数 */
+typedef unsigned int	uint_t;		/* 自然なサイズの符号無し整数 */
+
+typedef int_t			ER;			/* エラーコード */
+typedef int_t			ID;			/* オブジェクトのID番号 */
+typedef uint_t			ATR;		/* オブジェクトの属性 */
+typedef int_t			TMO;		/* タイムアウト指定 */
 
 #ifndef NULL
-#define NULL		0			/* ç¡å¹ãã¤ã³ã¿ */
+#define NULL		0			/* 無効ポインタ */
 #endif /* NULL */
 
 #ifndef true
-#define true		1			/* ç */
+#define true		1			/* 真 */
 #endif /* true */
 
 #ifndef false
-#define false		0			/* å½ */
+#define false		0			/* 偽 */
 #endif /* false */
 
-#define E_OK		0			/* æ­£å¸¸çµäº */
-
-#define E_SYS		(-5)		/* ã·ã¹ãã ã¨ã©ã¼ */
-#define E_PAR		(-17)		/* ãã©ã¡ã¼ã¿ã¨ã©ã¼ */
-#define E_NOMEM		(-33)		/* ã¡ã¢ãªä¸è¶³ */
-#define E_OBJ		(-41)		/* ãªãã¸ã§ã¯ãç¶æ
-ã¨ã©ã¼ */
-#define E_NOEXS		(-42)		/* ãªãã¸ã§ã¯ãæªçæ */
-#define E_TMOUT		(-50)		/* ãã¼ãªã³ã°å¤±æã¾ãã¯ã¿ã¤ã ã¢ã¦ã */
-#define E_BOVR		(-58)		/* ãããã¡ãªã¼ãã¼ãã­ã¼ */
-#define E_BRK		(-100)		/* ã¦ã¼ã¶ã¼ã«ããä¸­æ­ */
-
-#define TMO_FEVR	(-1)		/* æ°¸ä¹
-å¾
-ã¡ */
+#define E_OK		0			/* 正常終了 */
+
+#define E_SYS		(-5)		/* システムエラー */
+#define E_PAR		(-17)		/* パラメータエラー */
+#define E_NOMEM		(-33)		/* メモリ不足 */
+#define E_OBJ		(-41)		/* オブジェクト状態エラー */
+#define E_NOEXS		(-42)		/* オブジェクト未生成 */
+#define E_TMOUT		(-50)		/* ポーリング失敗またはタイムアウト */
+#define E_BOVR		(-58)		/* バッファオーバーフロー */
+#define E_BRK		(-100)		/* ユーザーによる中断 */
+
+#define TMO_FEVR	(-1)		/* 永久待ち */
 #endif
 
 #define EOBJ_NULL 0x00
-#define EOBJ_LOCAL_NODE 0x01			/* èªãã¼ã */
-#define EOBJ_SYNC_REMOTE_NODE 0x02		/* ä»ãã¼ã */
-#define EOBJ_ASYNC_REMOTE_NODE 0x04		/* ä»ãã¼ãï¼éåæï¼ */
-#define EOBJ_DEVICE 0x08				/* æ©å¨ãªãã¸ã§ã¯ã */
+#define EOBJ_LOCAL_NODE 0x01			/* 自ノード */
+#define EOBJ_SYNC_REMOTE_NODE 0x02		/* 他ノード */
+#define EOBJ_ASYNC_REMOTE_NODE 0x04		/* 他ノード（非同期） */
+#define EOBJ_DEVICE 0x08				/* 機器オブジェクト */
 
 #define EPC_NONE 0x00
-#define EPC_RULE_SET 0x01				/* ã¢ã¯ã»ã¹ã«ã¼ã« Set */
-#define EPC_RULE_GET 0x02				/* ã¢ã¯ã»ã¹ã«ã¼ã« Get */
-#define EPC_RULE_ANNO 0x04				/* ã¢ã¯ã»ã¹ã«ã¼ã« Anno */
-#define EPC_ANNOUNCE 0x40				/* ç¶æ
-å¤åæéç¥ */
-#define EPC_VARIABLE 0x80				/* å¯å¤é·ãã¼ã¿ */
+#define EPC_RULE_SET 0x01				/* アクセスルール Set */
+#define EPC_RULE_GET 0x02				/* アクセスルール Get */
+#define EPC_RULE_ANNO 0x04				/* アクセスルール Anno */
+#define EPC_ANNOUNCE 0x40				/* 状態変化時通知 */
+#define EPC_VARIABLE 0x80				/* 可変長データ */
 
 typedef enum _echonet_enod_id
 {
-	ENOD_NOT_MATCH_ID	= -1,			/* ã¢ãã¬ã¹IDç»é²ãªã */
-	ENOD_MULTICAST_ID	= 0,			/* ãã«ãã­ã£ã¹ãã¢ãã¬ã¹ID */
-	ENOD_LOCAL_ID		= 1,			/* èªãã¼ãã¢ãã¬ã¹ID */
-	ENOD_API_ID			= 2,			/* APIã¢ãã¬ã¹ID */
-	ENOD_REMOTE_ID		= 3,			/* ä»ãã¼ãã¢ãã¬ã¹ID */
+	ENOD_NOT_MATCH_ID	= -1,			/* アドレスID登録なし */
+	ENOD_MULTICAST_ID	= 0,			/* マルチキャストアドレスID */
+	ENOD_LOCAL_ID		= 1,			/* 自ノードアドレスID */
+	ENOD_API_ID			= 2,			/* APIアドレスID */
+	ENOD_REMOTE_ID		= 3,			/* 他ノードアドレスID */
 } ECN_ENOD_ID;
 
-/* ECHONET Liteè¦æ ¼ */
+/* ECHONET Lite規格 */
 typedef enum
 {
@@ -132,31 +113,31 @@
 } ECN_EHD1_ECL_VERSION;
 
-/* é»æå½¢å¼1/2 */
+/* 電文形式1/2 */
 typedef enum
 {
-	ECN_EDH2_FORMAT_1 = 0x81,	/* é»æå½¢å¼1 */
-	ECN_EDH2_FORMAT_2 = 0x82	/* é»æå½¢å¼2 */
+	ECN_EDH2_FORMAT_1 = 0x81,	/* 電文形式1 */
+	ECN_EDH2_FORMAT_2 = 0x82	/* 電文形式2 */
 } ECN_EHD2_FORMAT;
 
-/* ECHONET Liteãµã¼ãã¹ã³ã¼ã */
+/* ECHONET Liteサービスコード */
 typedef enum _echonet_service_code
 {
-	ESV_NOP				=	0,		/* (æ©è½æå®ãªã)							*/
-	ESV_SET_I			=	0x60,	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­ä¸è¦ï¼		*/
-	ESV_SET_C			=	0x61,	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­è¦ï¼		*/
-	ESV_GET				=	0x62,	/* ãã­ããã£å¤èª­ã¿åºãè¦æ±					*/
-	ESV_INF_REQ			=	0x63,	/* ãã­ããã£å¤éç¥è¦æ±						*/
-	ESV_SET_GET			=	0x6E,	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±		*/
-	ESV_SET_RES			=	0x71,	/* ãã­ããã£å¤æ¸ãè¾¼ã¿å¿ç­					*/
-	ESV_GET_RES			=	0x72,	/* ãã­ããã£å¤èª­ã¿åºãå¿ç­					*/
-	ESV_INF				=	0x73,	/* ãã­ããã£å¤éç¥							*/
-	ESV_INFC			=	0x74,	/* ãã­ããã£å¤éç¥ï¼å¿ç­è¦ï¼				*/
-	ESV_INFC_RES		=	0x7A,	/* ãã­ããã£å¤éç¥å¿ç­						*/
-	ESV_SET_GET_RES		=	0x7E,	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãå¿ç­		*/
-	ESV_SET_I_SNA		=	0x50,	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ä¸å¯å¿ç­			*/
-	ESV_SET_C_SNA		=	0x51,	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ä¸å¯å¿ç­			*/
-	ESV_GET_SNA			=	0x52,	/* ãã­ããã£å¤èª­ã¿åºãä¸å¯å¿ç­				*/
-	ESV_INF_SNA			=	0x53,	/* ãã­ããã£å¤éç¥ä¸å¯å¿ç­					*/
-	ESV_SET_GET_SNA		=	0x5E	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãä¸å¯å¿ç­	*/
+	ESV_NOP				=	0,		/* (機能指定なし)							*/
+	ESV_SET_I			=	0x60,	/* プロパティ値書き込み要求（応答不要）		*/
+	ESV_SET_C			=	0x61,	/* プロパティ値書き込み要求（応答要）		*/
+	ESV_GET				=	0x62,	/* プロパティ値読み出し要求					*/
+	ESV_INF_REQ			=	0x63,	/* プロパティ値通知要求						*/
+	ESV_SET_GET			=	0x6E,	/* プロパティ値書き込み・読み出し要求		*/
+	ESV_SET_RES			=	0x71,	/* プロパティ値書き込み応答					*/
+	ESV_GET_RES			=	0x72,	/* プロパティ値読み出し応答					*/
+	ESV_INF				=	0x73,	/* プロパティ値通知							*/
+	ESV_INFC			=	0x74,	/* プロパティ値通知（応答要）				*/
+	ESV_INFC_RES		=	0x7A,	/* プロパティ値通知応答						*/
+	ESV_SET_GET_RES		=	0x7E,	/* プロパティ値書き込み・読み出し応答		*/
+	ESV_SET_I_SNA		=	0x50,	/* プロパティ値書き込み要求不可応答			*/
+	ESV_SET_C_SNA		=	0x51,	/* プロパティ値書き込み要求不可応答			*/
+	ESV_GET_SNA			=	0x52,	/* プロパティ値読み出し不可応答				*/
+	ESV_INF_SNA			=	0x53,	/* プロパティ値通知不可応答					*/
+	ESV_SET_GET_SNA		=	0x5E	/* プロパティ値書き込み・読み出し不可応答	*/
 } ECN_SRV_CODE;
 
@@ -173,48 +154,46 @@
 
 /*
- *  ECHONET Liteé»æãããã¼
+ *  ECHONET Lite電文ヘッダー
  */
 typedef struct
 {
-	uint8_t	ehd1;		/* ECHONET Liteé»æãããã¼1 ECN_EHD1_ECL_VERSION */
-	uint8_t	ehd2;		/* ECHONET Liteé»æãããã¼2 ECN_EHD2_FORMAT */
-	uint16_t	tid;	/* ãã©ã³ã¶ã¯ã·ã§ã³ID */
+	uint8_t	ehd1;		/* ECHONET Lite電文ヘッダー1 ECN_EHD1_ECL_VERSION */
+	uint8_t	ehd2;		/* ECHONET Lite電文ヘッダー2 ECN_EHD2_FORMAT */
+	uint16_t	tid;	/* トランザクションID */
 } __attribute__((packed)) T_ECN_HDR;
 
 /*
- *  ECHONET Liteãªãã¸ã§ã¯ãã³ã¼ã
+ *  ECHONET Liteオブジェクトコード
  */
 typedef struct
 {
-	uint8_t	eojx1;		/* ã¯ã©ã¹ã°ã«ã¼ãã³ã¼ã */
-	uint8_t	eojx2;		/* ã¯ã©ã¹ã³ã¼ã */
-	uint8_t	eojx3;		/* ã¤ã³ã¹ã¿ã³ã¹ã³ã¼ã */
+	uint8_t	eojx1;		/* クラスグループコード */
+	uint8_t	eojx2;		/* クラスコード */
+	uint8_t	eojx3;		/* インスタンスコード */
 } __attribute__((packed)) T_ECN_EOJ;
 
 /*
- *  ECHONET Liteãã¼ã¿ãããã¼
+ *  ECHONET Liteデータヘッダー
  */
 typedef struct
 {
-	T_ECN_EOJ	seoj;	/* éä¿¡å
-ECHONET Liteãªãã¸ã§ã¯ãæå® */
-	T_ECN_EOJ	deoj;	/* ç¸æå
-ECHONET Liteãªãã¸ã§ã¯ãæå® */
-	uint8_t	esv;		/* ECHONET Liteãµã¼ãã¹ (ECN_SRV_CODE) */
-	uint8_t	opc;		/* å¦çãã­ããã£æ° */
+	T_ECN_EOJ	seoj;	/* 送信元ECHONET Liteオブジェクト指定 */
+	T_ECN_EOJ	deoj;	/* 相手先ECHONET Liteオブジェクト指定 */
+	uint8_t	esv;		/* ECHONET Liteサービス (ECN_SRV_CODE) */
+	uint8_t	opc;		/* 処理プロパティ数 */
 } __attribute__((packed)) T_ECN_EDATA_BODY;
 
 /*
- *  ECHONET Liteãã­ããã£
+ *  ECHONET Liteプロパティ
  */
 typedef struct
 {
-	uint8_t	epc;		/* ECHONET Liteãã­ããã£ã³ã¼ã */
-	uint8_t	pdc;		/* EDTã®ãã¤ãæ° */
-	/*void	*p_edt;*/	/* ãã­ããã£å¤ãã¼ã¿ */
+	uint8_t	epc;		/* ECHONET Liteプロパティコード */
+	uint8_t	pdc;		/* EDTのバイト数 */
+	/*void	*p_edt;*/	/* プロパティ値データ */
 } __attribute__((packed)) T_ECN_PRP;
 
 /*
- *  ECHONET Liteãã¼ã¿
+ *  ECHONET Liteデータ
  */
 typedef struct
@@ -226,5 +205,5 @@
 
 /*
- *  ECHONET Lite é»æ
+ *  ECHONET Lite 電文
  */
 typedef struct echonet_object_data
@@ -246,13 +225,13 @@
 
 /*
- *  å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼
+ *  応答電文解析イテレーター
  */
 typedef struct echonet_epc_enumerator
 {
 	T_EDATA *pk_esv;
-	uint8_t count;			/* ä»èª­ã¿åãä¸­ã®ãã­ãã¯ã«ãããã­ããã£ç·æ° */
-	uint8_t got_ct;			/* ä»èª­ã¿åãä¸­ã®ãã­ãã¯ã§ãèª­ã¿åã£ãæ° */
-	uint8_t next_blk_ct;	/* å¾ç¶ãã­ãã¯æ° */
-	uint8_t is_eof;			/* çµç«¯ã«éããæãé0 */
+	uint8_t count;			/* 今読み取り中のブロックにあるプロパティ総数 */
+	uint8_t got_ct;			/* 今読み取り中のブロックで、読み取った数 */
+	uint8_t next_blk_ct;	/* 後続ブロック数 */
+	uint8_t is_eof;			/* 終端に達した時、非0 */
 	int cur;
 } T_ENUM_EPC;
@@ -263,57 +242,55 @@
 
 /*
- * ECHONET Lite ãã­ããã£ã®è¨­å®é¢æ°
+ * ECHONET Lite プロパティの設定関数
  */
 typedef int (EPRP_SETTER)(ecnl_svc_task_t *svc, const EPRPINIB *item, const void *src, int size, bool_t *anno);
 
 /*
- * ECHONET Lite ãã­ããã£ã®åå¾é¢æ°
+ * ECHONET Lite プロパティの取得関数
  */
 typedef int (EPRP_GETTER)(ecnl_svc_task_t *svc, const EPRPINIB *item, void *dst, int size);
 
 /*
- *  ECHONET Lite ãã­ããã£åæåãã­ãã¯
+ *  ECHONET Lite プロパティ初期化ブロック
  */
 struct echonet_property_initialization_block
 {
-	uint8_t		eprpcd;			/* ECHONET Lite ãã­ããã£ã³ã¼ã */
-	ATR			eprpatr;		/* ECHONET Lite ãã­ããã£å±æ§ */
-	uint8_t		eprpsz;			/* ECHONET Lite ãã­ããã£ã®ãµã¤ãº */
-	intptr_t	exinf;			/* ECHONET Lite ãã­ããã£ã®æ¡å¼µæ
-å ± */
-	EPRP_SETTER	*eprpset;		/* ECHONET Lite ãã­ããã£ã®è¨­å®é¢æ° */
-	EPRP_GETTER	*eprpget;		/* ECHONET Lite ãã­ããã£ã®åå¾é¢æ° */
+	uint8_t		eprpcd;			/* ECHONET Lite プロパティコード */
+	ATR			eprpatr;		/* ECHONET Lite プロパティ属性 */
+	uint8_t		eprpsz;			/* ECHONET Lite プロパティのサイズ */
+	intptr_t	exinf;			/* ECHONET Lite プロパティの拡張情報 */
+	EPRP_SETTER	*eprpset;		/* ECHONET Lite プロパティの設定関数 */
+	EPRP_GETTER	*eprpget;		/* ECHONET Lite プロパティの取得関数 */
 };
 
-#define TMIN_EOBJID		1		/* ECHONET Lite ãªãã¸ã§ã¯ãIDã®æå°å¤ */
-
-/*
- *  ECHONET Lite ãªãã¸ã§ã¯ãåæåãã­ãã¯
+#define TMIN_EOBJID		1		/* ECHONET Lite オブジェクトIDの最小値 */
+
+/*
+ *  ECHONET Lite オブジェクト初期化ブロック
  */
 typedef struct echonet_object_initialization_block
 {
-	ATR			eobjatr;		/* ECHONET Lite ãªãã¸ã§ã¯ãå±æ§ */
-	ID			enodid;			/* ECHONET Lite ãã¼ããã­ãã¡ã¤ã«ãªãã¸ã§ã¯ãID */
-	intptr_t	exinf;			/* ECHONET Lite ãªãã¸ã§ã¯ãã®æ¡å¼µæ
-å ± */
-	uint8_t		eojx1;			/* ECHONET Lite ãªãã¸ã§ã¯ãã®ã¯ã©ã¹ã°ã«ã¼ãã³ã¼ã */
-	uint8_t		eojx2;			/* ECHONET Lite ãªãã¸ã§ã¯ãã®ã¯ã©ã¹ã³ã¼ã */
-	uint8_t		eojx3;			/* ECHONET Lite ãªãã¸ã§ã¯ãã®ã¤ã³ã¹ã¿ã³ã¹ã³ã¼ã */
-	const EPRPINIB **eprp;		/* ECHONET Lite ãã­ããã£åæåãã­ãã¯ */
-	uint_t		eprpcnt;		/* ECHONET Lite ãã­ããã£åæåãã­ãã¯æ° */
+	ATR			eobjatr;		/* ECHONET Lite オブジェクト属性 */
+	ID			enodid;			/* ECHONET Lite ノードプロファイルオブジェクトID */
+	intptr_t	exinf;			/* ECHONET Lite オブジェクトの拡張情報 */
+	uint8_t		eojx1;			/* ECHONET Lite オブジェクトのクラスグループコード */
+	uint8_t		eojx2;			/* ECHONET Lite オブジェクトのクラスコード */
+	uint8_t		eojx3;			/* ECHONET Lite オブジェクトのインスタンスコード */
+	const EPRPINIB **eprp;		/* ECHONET Lite プロパティ初期化ブロック */
+	uint_t		eprpcnt;		/* ECHONET Lite プロパティ初期化ブロック数 */
 } EOBJINIB;
 
 /*
- *  ECHONET Lite ãã¼ãç®¡çãã­ãã¯
+ *  ECHONET Lite ノード管理ブロック
  */
 typedef struct echonet_object_control_block
 {
-	const EOBJINIB *profile;	/* ECHONET Lite ãã¼ããã­ãã¡ã¤ã«ã¸ã®ãã¤ã³ã¿ */
-	const EOBJINIB **eobjs;		/* ECHONET Lite ãªãã¸ã§ã¯ããªã¹ãã¸ã®ãã¤ã³ã¿ */
-	uint_t		eobjcnt;		/* ECHONET Lite ãªãã¸ã§ã¯ãæ° */
+	const EOBJINIB *profile;	/* ECHONET Lite ノードプロファイルへのポインタ */
+	const EOBJINIB **eobjs;		/* ECHONET Lite オブジェクトリストへのポインタ */
+	uint_t		eobjcnt;		/* ECHONET Lite オブジェクト数 */
 } EOBJCB;
 
 /*
- *  ECHONET Lite ãªãã¸ã§ã¯ãæ©è½ã®åæå
+ *  ECHONET Lite オブジェクト機能の初期化
  */
 extern void initialize_echonet_object(void);
@@ -324,125 +301,120 @@
 
 /*
- * ECHONET Liteãµã¼ãã¹å¦çéå§
+ * ECHONET Liteサービス処理開始
  */
 ER ecn_sta_svc(ecnl_svc_task_t *svc);
 
 /*
- * ECHONETãªãã¸ã§ã¯ãåç
-§
+ * ECHONETオブジェクト参照
  */
 ER ecn_ref_eobj(ecnl_svc_task_t *svc, ID eobjid, T_REOBJ *pk_eobj);
 
 /*
- * ECHONETãã­ããã£åç
-§
+ * ECHONETプロパティ参照
  */
 ER ecn_ref_eprp(ecnl_svc_task_t *svc, ID eobjid, uint8_t epc, T_RPRP *pk_eprp);
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­ä¸è¦ï¼é»æä½æ
+ * プロパティ値書き込み要求（応答不要）電文作成
  */
 ER ecn_esv_seti(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID eobjid, uint8_t epc, uint8_t pdc, const void *p_edt);
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­è¦ï¼é»æä½æ
+ * プロパティ値書き込み要求（応答要）電文作成
  */
 ER ecn_esv_setc(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID eobjid, uint8_t epc, uint8_t pdc, const void *p_edt);
 
 /*
- * ãã­ããã£å¤èª­ã¿åºãè¦æ±é»æä½æ
+ * プロパティ値読み出し要求電文作成
  */
 ER ecn_esv_get(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID eobjid, uint8_t epc);
 
 /*
- * ãã­ããã£å¤éç¥è¦æ±é»æä½æ
+ * プロパティ値通知要求電文作成
  */
 ER ecn_esv_inf_req(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID eobjid, uint8_t epc);
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æ
+ * プロパティ値書き込み・読み出し要求電文作成
  */
 ER ecn_esv_set_get(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID eobjid, uint8_t epc, uint8_t pdc, const void *p_edt);
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»ææãè¿ãæå®
+ * プロパティ値書き込み・読み出し要求電文折り返し指定
  */
 ER ecn_trn_set_get(mrb_state *mrb, T_EDATA *pk_esv, int *p_trn_pos);
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æçµäºæå®
+ * プロパティ値書き込み・読み出し要求電文終了指定
  */
 ER ecn_end_set_get(mrb_state *mrb, T_EDATA *pk_esv, int trn_pos);
 
 /*
- * ãã­ããã£å¤éç¥ï¼å¿ç­è¦ï¼é»æä½æ
+ * プロパティ値通知（応答要）電文作成
  */
 ER ecn_esv_infc(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID eobjid, ID seobjid, uint8_t sepc);
 
 /*
- * è¦æ±é»æã¸ã®ãã­ããã£æå®è¿½å 
+ * 要求電文へのプロパティ指定追加
  */
 ER ecn_add_epc(mrb_state *mrb, T_EDATA *pk_esv, uint8_t epc);
 
 /*
- * è¦æ±é»æã¸ã®ãã­ããã£ãã¼ã¿è¿½å 
+ * 要求電文へのプロパティデータ追加
  */
 ER ecn_add_edt(mrb_state *mrb, T_EDATA *pk_esv, uint8_t epc, uint8_t pdc, const void *p_edt);
 
 /*
- * è¦æ±é»æã®éä¿¡
+ * 要求電文の送信
  */
 ER ecn_snd_esv(ecnl_svc_task_t *svc, T_EDATA *pk_esv);
 
 /*
- * å¿ç­é»æã®åä¿¡ãã¼ãªã³ã°
+ * 応答電文の受信ポーリング
  */
 ER ecn_prcv_esv(ecnl_svc_task_t *svc, T_EDATA **ppk_esv);
 
 /*
- * å¿ç­é»æã®ç ´æ£
+ * 応答電文の破棄
  */
 ER ecn_rel_esv(mrb_state *mrb, T_EDATA *pk_esv);
 
 /*
- * å¿ç­é»æã®éä¿¡å
-ãã¼ããåå¾ãã
+ * 応答電文の送信元ノードを取得する
  */
 ID ecn_get_enod(ecnl_svc_task_t *svc, T_EDATA *pk_esv);
 
 /*
- * å¿ç­é»æã®éä¿¡å
-æ©å¨ãªãã¸ã§ã¯ããåå¾ãã
+ * 応答電文の送信元機器オブジェクトを取得する
  */
 ID ecn_get_eobj(ecnl_svc_task_t *svc, T_EDATA *pk_esv);
 
 /*
- * å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼åæå
+ * 応答電文解析イテレーター初期化
  */
 ER ecn_itr_ini(T_ENUM_EPC *pk_itr, T_EDATA *pk_esv);
 
 /*
- * å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼ã¤ã³ã¯ãªã¡ã³ã
+ * 応答電文解析イテレーターインクリメント
  */
 ER ecn_itr_nxt(mrb_state *mrb, T_ENUM_EPC *pk_itr, uint8_t *p_epc, uint8_t *p_pdc, void *p_edt);
 
 /*
- * å¿ç­é»æå¾
-ã¡ã®å²ãè¾¼ã¿éä¿¡
+ * 応答電文待ちの割り込み送信
  */
 ER ecn_brk_wai(ecnl_svc_task_t *svc, const void *p_dat, int datsz);
 
 /*
- * å²ãè¾¼ã¿ãã¼ã¿ã®åå¾
+ * 割り込みデータの取得
  */
 ER ecn_get_brk_dat(mrb_state *mrb, T_EDATA *pk_esv, void *p_buf, int bufsz, int *p_datsz);
 
 /*
- * ãã¼ã¿è¨­å®é¢æ°
+ * データ設定関数
  */
 int ecn_data_prop_set(ecnl_svc_task_t *svc, const EPRPINIB *item, const void *src, int size, bool_t *anno);
 
 /*
- * ãã¼ã¿åå¾é¢æ°
+ * データ取得関数
  */
 int ecn_data_prop_get(ecnl_svc_task_t *svc, const EPRPINIB *item, void *dst, int size);
Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_agent.c
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_agent.c	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_agent.c	(revision 321)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2015-2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -52,5 +37,5 @@
 
 /*
- *		ECHONET Lite åççæãã¼ã
+ *		ECHONET Lite 動的生成ノード
  */
 
@@ -158,7 +143,7 @@
 
 /*
- *  ã­ã¥ã¼ã®åæå
+ *  キューの初期化
  *
- *  p_queueã«ã¯ã­ã¥ã¼ããããæå®ããï¼
+ *  p_queueにはキューヘッダを指定する．
  */
 static void
@@ -173,11 +158,8 @@
 
 /*
- *  ã­ã¥ã¼ã®åã¨ã³ããªã¸ã®æ¿å
-¥
+ *  キューの前エントリへの挿入
  *
- *  p_queueã®åã«p_entryãæ¿å
-¥ããï¼p_queueã«ã­ã¥ã¼ããããæå®ããå ´
- *  åã«ã¯ï¼ã­ã¥ã¼ã®æ«å°¾ã«p_entryãæ¿å
-¥ãããã¨ã«ãªãï¼
+ *  p_queueの前にp_entryを挿入する．p_queueにキューヘッダを指定した場
+ *  合には，キューの末尾にp_entryを挿入することになる．
  */
 static void
@@ -195,7 +177,7 @@
 
 /*
- *  ã¨ã³ããªã®åé¤
+ *  エントリの削除
  *
- *  p_entryãã­ã¥ã¼ããåé¤ããï¼
+ *  p_entryをキューから削除する．
  */
 static void
@@ -310,5 +292,5 @@
 	int i = eobjid;
 
-	/* ãªãã¸ã§ã¯ãIDããå®ä½ãåå¾ */
+	/* オブジェクトIDから実体を取得 */
 	i -= (svc->tmax_eobjid + 1);
 	if ((i < 0)
@@ -321,8 +303,8 @@
 		return false;
 
-	/* ãªãã¸ã§ã¯ãã®EOJãã³ãã¼ */
+	/* オブジェクトのEOJをコピー */
 	memcpy(eoj, &buf->cnt.obj.inib.eojx1, sizeof(*eoj));
 
-	/* æå±ãããã¼ãã®ãªãã¸ã§ã¯ãIDãåå¾ */
+	/* 所属するノードのオブジェクトIDを取得 */
 	if(buf->cnt.obj.inib.enodid == 0)
 		i = buf->cnt.obj.eobjId;
@@ -336,5 +318,5 @@
 	}
 
-	/* ãã¼ãIDãåå¾ */
+	/* ノードIDを取得 */
 	buf = &agent->blockes[i];
 	*enodid = buf->cnt.node.node.enodId;
@@ -365,11 +347,10 @@
 void ecn_agent_init(ecnl_svc_task_t *svc)
 {
-	svc->agent.eprpinib.eprpcd = 0x00;					/* ãã­ããã£ã³ã¼ã */
-	svc->agent.eprpinib.eprpatr = EPC_RULE_SET | EPC_RULE_GET;		/* ãã­ããã£å±æ§ */
-	svc->agent.eprpinib.eprpsz = 255;					/* ãã­ããã£ã®ãµã¤ãº */
-	svc->agent.eprpinib.exinf = (intptr_t)&svc->agent;	/* ãã­ããã£ã®æ¡å¼µæ
-å ± */
-	svc->agent.eprpinib.eprpset = ecn_agent_eprpset;	/* ãã­ããã£ã®è¨­å®é¢æ° */
-	svc->agent.eprpinib.eprpget = ecn_agent_eprpget;	/* ãã­ããã£ã®åå¾é¢æ° */
+	svc->agent.eprpinib.eprpcd = 0x00;					/* プロパティコード */
+	svc->agent.eprpinib.eprpatr = EPC_RULE_SET | EPC_RULE_GET;		/* プロパティ属性 */
+	svc->agent.eprpinib.eprpsz = 255;					/* プロパティのサイズ */
+	svc->agent.eprpinib.exinf = (intptr_t)&svc->agent;	/* プロパティの拡張情報 */
+	svc->agent.eprpinib.eprpset = ecn_agent_eprpset;	/* プロパティの設定関数 */
+	svc->agent.eprpinib.eprpget = ecn_agent_eprpget;	/* プロパティの取得関数 */
 
 	svc->agent.peprpinib = &svc->agent.eprpinib;
@@ -390,5 +371,5 @@
 	T_ECN_EOJ *eoj, *end;
 
-	// ãã­ããã£éç¥ãåå¾å¿ç­ã§ã
+	// プロパティ通知か取得応答で、
 	switch (esv->hdr.edata.esv) {
 	case ESV_GET_RES:
@@ -400,5 +381,5 @@
 	}
 
-	// ãã¼ããã­ãã¡ã¤ã«å®ã®å ´å
+	// ノードプロファイル宛の場合
 	eoj = &esv->hdr.edata.seoj;
 	if ((eoj->eojx1 != EOJ_X1_PROFILE) || (eoj->eojx2 != EOJ_X2_NODE_PROFILE)
@@ -413,9 +394,9 @@
 	while (ecn_itr_nxt(mrb, &enm, &epc, &pdc, &edt) == E_OK) {
 		switch (epc) {
-		// ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã®å ´å
+		// インスタンスリスト通知の場合
 		case 0xD5:
-		// èªãã¼ãã¤ã³ã¹ã¿ã³ã¹ãªã¹ãï¼³éç¥ã®å ´å
+		// 自ノードインスタンスリストＳ通知の場合
 		case 0xD6:
-			// ãµã¤ãºãåããªãå ´å
+			// サイズが合わない場合
 			if (pdc != (1 + edt[0] * sizeof(T_ECN_EOJ)))
 				return NULL;
@@ -765,8 +746,7 @@
 	ecn_obj_t *sobj;
 
-	/* éçã«å®ç¾©ãããéä¿¡å
-ã®å ´å */
+	/* 静的に定義された送信元の場合 */
 	if ((*ppk_snod != NULL) && (*ppk_snod)->eobjs != NULL) {
-		/* å¦çããªã */
+		/* 処理しない */
 		return;
 	}
@@ -774,10 +754,7 @@
 	snod = ecn_agent_find_node2(svc, *ppk_snod);
 
-	/* éä¿¡å
-ãç¥ããªãã£ãã */
+	/* 送信元を知らなかったら */
 	if (snod == NULL) {
-		/* éä¿¡å
-ã®ãã¼ãæ
-å ±ãæ°è¦ã«ä½æ */
+		/* 送信元のノード情報を新規に作成 */
 		snod = ecn_agent_create_node(svc, agent, esv);
 		if (snod == NULL)
@@ -787,10 +764,10 @@
 	sobj = ecn_agent_find_obj2(snod, *ppk_sobj);
 
-	/* ãã¼ããã­ãã¡ã¤ã«ã®å ´å */
+	/* ノードプロファイルの場合 */
 	if ((esv->hdr.edata.seoj.eojx1 == EOJ_X1_PROFILE)
 		&& (esv->hdr.edata.seoj.eojx2 == EOJ_X2_NODE_PROFILE)) {
 		sobj = &snod->node.base;
 	}
-	/* æ©å¨ãªãã¸ã§ã¯ãã®å ´å */
+	/* 機器オブジェクトの場合 */
 	else {
 		sobj = ecn_agent_find_eobj(&snod->node.eobj, esv->hdr.edata.seoj);
@@ -837,5 +814,5 @@
 	ecn_obj_t *obj = node->current;
 
-	// ãã­ããã£å¤èª­ã¿åºãè¦æ±
+	// プロパティ値読み出し要求
 	ecn_esv_get(svc, &esv, obj->eobjId, 0x9E);
 	ecn_snd_esv(svc, esv);
@@ -850,5 +827,5 @@
 	ecn_obj_t *obj = node->current;
 
-	// ãã­ããã£å¤èª­ã¿åºãè¦æ±
+	// プロパティ値読み出し要求
 	ecn_esv_get(svc, &esv, obj->eobjId, 0x9F);
 	ecn_snd_esv(svc, esv);
@@ -863,5 +840,5 @@
 	ecn_obj_t *obj = node->current;
 
-	// ãã­ããã£å¤èª­ã¿åºãè¦æ±
+	// プロパティ値読み出し要求
 	ecn_esv_get(svc, &esv, obj->eobjId, 0x9D);
 	ecn_snd_esv(svc, esv);
@@ -877,22 +854,21 @@
 	ecn_device_t *device;
 
-	/* objãæå®ããã¦ããªãå ´å */
+	/* objが指定されていない場合 */
 	if(obj == NULL){
-		/* ãã®ãã¼ããè¿ã */
+		/* このノードを返す */
 		node->current = &node->node.base;
 		return;
 	}
-	/* ãã¼ãã®å ´å */
+	/* ノードの場合 */
 	else if((obj->inib.eojx1 == EOJ_X1_PROFILE) && (obj->inib.eojx2 == EOJ_X2_NODE_PROFILE)){
 		node = (ecn_node_agent_t *)obj;
 
-		/* é
-ä¸ã®æ©å¨ãè¿ã */
+		/* 配下の機器を返す */
 		queue = node->node.devices.p_next;
 		device = (ecn_device_t *)cast_obj(queue);
 	}
-	/* æ©å¨ã®å ´å */
+	/* 機器の場合 */
 	else{
-		/* æ¬¡ã®æ©å¨ãè¿ã */
+		/* 次の機器を返す */
 		node = (ecn_node_agent_t *)((ecn_device_t *)obj)->node;
 		queue = cast_queue(obj)->p_next;
@@ -900,5 +876,5 @@
 	}
 
-	/* ãã®æ©å¨ãæ«å°¾ã ã£ãå ´å */
+	/* その機器が末尾だった場合 */
 	if(&node->node.devices == queue){
 		node->current = NULL;
@@ -1037,6 +1013,5 @@
 	bool_t has = false;
 
-	/* ãã¼ãã®å ´åã¯ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã¨èªãã¼ãã¤ã³ã¹ã¿ã³ã¹ãªã¹ãï¼³éç¥ãå¿
-é ã§åãåã */
+	/* ノードの場合はインスタンスリスト通知と自ノードインスタンスリストＳ通知を必須で受け取る */
 	if ((fp_obj->enodid == 0) && ((fa_epc == 0xD5) || (fa_epc == 0xD6)))
 		has = true;
@@ -1072,7 +1047,7 @@
 
 	switch (item->eprpcd) {
-	/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã®å ´å */
+	/* インスタンスリスト通知の場合 */
 	case 0xD5:
-	/* èªãã¼ãã¤ã³ã¹ã¿ã³ã¹ãªã¹ãï¼³éç¥ã®å ´å */
+	/* 自ノードインスタンスリストＳ通知の場合 */
 	case 0xD6:
 		if ((node != NULL) && (node->state == ecn_node_state_idle)) {
@@ -1092,10 +1067,10 @@
 		}
 		break;
-	/* éç¥ãã­ããã£ãããã®å ´å */
+	/* 通知プロパティマップの場合 */
 	case 0x9D:
 		eprpcnt = edt[0];
 
 		if (eprpcnt < 16) {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (eprpcnt + 1 != size)
 				return 0;
@@ -1105,5 +1080,5 @@
 		}
 		else {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (size != 17)
 				return 0;
@@ -1114,10 +1089,10 @@
 		sobj->pmapFlag |= PMAP_FLAG_ANNO;
 		break;
-	/* SETãã­ããã£ãããã®å ´å */
+	/* SETプロパティマップの場合 */
 	case 0x9E:
 		eprpcnt = edt[0];
 
 		if (eprpcnt < 16) {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (eprpcnt + 1 != size)
 				return 0;
@@ -1127,5 +1102,5 @@
 		}
 		else {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (size != 17)
 				return 0;
@@ -1136,10 +1111,10 @@
 		sobj->pmapFlag |= PMAP_FLAG_SET;
 		break;
-	/* GETãã­ããã£ãããã®å ´å */
+	/* GETプロパティマップの場合 */
 	case 0x9F:
 		eprpcnt = edt[0];
 
 		if (eprpcnt < 16) {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (eprpcnt + 1 != size)
 				return 0;
@@ -1149,5 +1124,5 @@
 		}
 		else {
-			/* ãµã¤ãºãã§ãã¯ */
+			/* サイズチェック */
 			if (size != 17)
 				return 0;
